### Method

# Vips Blob set

#### Declaration [src]

    void
    vips_blob_set (
      VipsBlob* blob,
      VipsCallbackFn free_fn,
      void* data,
      size_t length
    )

#### Description [src]

Any old data is freed and new data attached.

It’s sometimes useful to be able to create blobs as empty and then fill them later.

See also

`vips_blob_new()`.

#### Parameters

`free_fn`

  Type: `VipsCallbackFn`

  `data` will be freed with this function.

  The argument can be `NULL`.

`data`

  Type: An array of `guint8`

  Data to store.

  The length of the array is specified in the `length` argument.
  The instance takes ownership of the data, and is responsible for freeing it.

`length`

  Type: `size_t`

  Number of bytes in `data`.